Subject: Re: bug#12729: coreutils-8.20/gnulib-tests/

From: Henrik Juul Pedersen <[email-masked]>
Date: Thu, 25 Oct 2012 18:55:45 +0200

Hi, just for good measure;

I believe that Alice has tried my (feature-)patched version of coreutils,
available from the experimental Arch-User-Repository:

https://aur.archlinux.org/packages.php?ID=63133

As I write in the comments, I am unable to reproduce the failing checks on
any of my machines.
I would recommend Alice to try and compile and test a clean coreutils 8.20
before doing any further debugging.

/Henrik

On Thu, Oct 25, 2012 at 3:41 PM, Pádraig Brady <[email-masked]> wrote:

> On 10/25/2012 07:44 AM, Alice wrote:
> > Archlinux 64 bit
> > no work.!!!
>
>> FAIL: test-getlogin
>> ===================
>> test-getlogin.c:45: assertion failed
>>
>
> You can see the test here:
> http://git.sv.gnu.org/gitweb/?**p=gnulib.git;a=blob;f=tests/**
> test-getlogin.c;h=449ceaa;hb=**HEAD#l45<http://git.sv.gnu.org/gitweb/?p=gnulib.git;a=blob;f=tests/test-getlogin.c;h=449ceaa;hb=HEAD#l45>
>
> Does this happen every time for that test?
>
> I notice the test is not checking for
>   errno==ENOENT or errno=ENXIO
> Could you adjust the test to print out the
> errno that's being returned?
>
> thanks,
> Pádraig.
>
>
>
>